package com.bcxin.ars.model.sb;

import com.abcxin.smart.validator.annotation.ModelAnnotation;
import com.bcxin.ars.model.BaseModel;

/**
 *sb_subsidiaryperson
 *
 */
public class Subsidiaryperson  extends BaseModel {

	public Subsidiaryperson(){
	
	}
	


    /**
    *姓名
    */
	@ModelAnnotation(getName="姓名",column = "Name")
    private String name;

    /**
    *性别
    */
	@ModelAnnotation(getName="性别",column = "Sex")
    private String sex;

    /**
    *年龄
    */
	@ModelAnnotation(getName="年龄",column = "Age")
    private Integer age;

    /**
    *籍贯
    */
	@ModelAnnotation(getName="籍贯",column = "Place")
    private String place;

    /**
    *现地址
    */
	@ModelAnnotation(getName="现地址",column = "Address")
    private String address;

    /**
    *文化程度
    */
	@ModelAnnotation(getName="文化程度",column = "Culture")
    private String culture;

    /**
    *政治面貌
    */
	@ModelAnnotation(getName="政治面貌",column = "Politics")
    private String politics;

    /**
    *身份证号
    */
	@ModelAnnotation(getName="身份证号",column = "Cardnumber")
    private String cardnumber;

    /**
    *保安员证编号
    */
	@ModelAnnotation(getName="保安员证编号",column = "Personno")
    private String personno;

    /**
    *联系电话
    */
	@ModelAnnotation(getName="联系电话",column = "Phone")
    private String phone;

    /**
    *保安服务子公司申请ID
    */
	@ModelAnnotation(getName="保安服务子公司申请ID",column = "subsidiaryid")
    private Integer subsidiaryid;
	

	/**
	 *姓名
	 */
	public String getName(){
		return this.name;
	}
	
	/**
	 *姓名
	 */
	public void setName(String name){
		this.name = name;
	}
	/**
	 *性别
	 */
	public String getSex(){
		return this.sex;
	}
	
	/**
	 *性别
	 */
	public void setSex(String sex){
		this.sex = sex;
	}
	/**
	 *年龄
	 */
	public Integer getAge(){
		return this.age;
	}
	
	/**
	 *年龄
	 */
	public void setAge(Integer age){
		this.age = age;
	}
	/**
	 *籍贯
	 */
	public String getPlace(){
		return this.place;
	}
	
	/**
	 *籍贯
	 */
	public void setPlace(String place){
		this.place = place;
	}
	/**
	 *现地址
	 */
	public String getAddress(){
		return this.address;
	}
	
	/**
	 *现地址
	 */
	public void setAddress(String address){
		this.address = address;
	}
	/**
	 *文化程度
	 */
	public String getCulture(){
		return this.culture;
	}
	
	/**
	 *文化程度
	 */
	public void setCulture(String culture){
		this.culture = culture;
	}
	/**
	 *政治面貌
	 */
	public String getPolitics(){
		return this.politics;
	}
	
	/**
	 *政治面貌
	 */
	public void setPolitics(String politics){
		this.politics = politics;
	}
	/**
	 *
	 */
	public String getCardnumber(){
		return this.cardnumber;
	}
	
	/**
	 *
	 */
	public void setCardnumber(String cardnumber){
		this.cardnumber = cardnumber;
	}
	/**
	 *保安员证编号
	 */
	public String getPersonno(){
		return this.personno;
	}
	
	/**
	 *保安员证编号
	 */
	public void setPersonno(String personno){
		this.personno = personno;
	}
	/**
	 *联系电话
	 */
	public String getPhone(){
		return this.phone;
	}
	
	/**
	 *联系电话
	 */
	public void setPhone(String phone){
		this.phone = phone;
	}
	/**
	 *保安服务子公司申请ID
	 */
	public Integer getSubsidiaryid(){
		return this.subsidiaryid;
	}
	
	/**
	 *保安服务子公司申请ID
	 */
	public void setSubsidiaryid(Integer subsidiaryid){
		this.subsidiaryid = subsidiaryid;
	}
	
}